\begin{proof}[Proof of \cref{27: solvable2}]
  There is a radical extension $L/K$, such that each irreducible factor of $f$ has a root in $L$ (we can start with a radical extension for the first irreducible factor of $f$, and the continue by  successively adjoining missing elements.), so there are $a_1,\hdots,a_t\in L$ and $r_1,\hdots,r_t\geq 1$, such that $L = K(a_1,\hdots,a_t)$, $a_1^{r_1}\in K$ and $a_i^{r_i}\in K(r_1,\hdots,r_{i-1})$. Set $Z_0 := K$ and $Z_i := K(r_1,\hdots,r_i)$ for $1\leq i \leq t$, and $n:= r_1\hdots r_n$.\\
  Consider now the field $K':= \zeronk$. Then in particular $\mathbb{E}_{r_i}(K) \sse \zeron \sse K'$. We then obtain an ascending chain of the form
  \begin{equation}\label{28: unrefined chain}
  K \sse K' = K'.Z_0 \sse K'.Z_1\sse \hdots \sse K'.Z_t = K'.L =: L'.
  \end{equation}
  Now for all $1\leq i \leq t$, $K'.Z_i$ is a splitting field of
  \[
  X^{r_i} - a_i^{r_i} \in K'.Z_{i-1}[X].
  \]
  As $\mathbb{E}_{i-1}(K)\sse K'.Z_{i-1}$, we can apply \cref{27: solvable basic lemma}, which implies that for all $1\leq i \leq t$, $\gal(K'.Z_i/K'.Z_{i-1})$ is cyclic. Furthermore, $\gal(K'/K)$ is abelian and $K'/K$ is a Galois extension, by \cref{25: order of galois group of primitive extension divides phi(n)}.
  So $K'/K$ is metacyclic by \cref{24: metacyclic iff solvable}, i.e. there are intermediate fields $K_1,\hdots,K_s$, such that
  \[
    K \sse K_1 \sse \hdots \sse K_s \sse K'
    \]
    is metacyclic. Hence we get a metacyclic refinement of \eqref{28: unrefined chain},
    \[
    K \sse K_1 \sse \hdots \sse K_s \sse K' = K.Z_0 \sse K'.Z_1 \sse \hdots K'.Z_t= L'.
    \]
    Let $N$ be the Galos hull of $L'/N$. Then by \cref{24: galois hull metacyclic}, we have $\gal(N/K)$ is solvable. As $L\sse L' \sse N$, every irreducible factor of $f$ has a root in $N$. So there is a splitting field $Z$ of $f$ with $K\sse Z \sse N$. As $Z/K$ is a Galois extension (Here we use the fact that $\rchar K\neq 0$, as it gurantees that $f$ is separable and hence $Z/K$ is a Galois extension).
    So by the fundamental theorem of Galois theory, $\gal(Z/K)$ is isomorphic to a quotient group of $\gal(N/K)$, and hence (by \cref{10:solvprop}) solvable.
\end{proof}

\begin{nrem}
In the lecture, it was stated that $K'/K$ is cyclic too. This is not always true. Consider for example $L:=\qq(\zeta_8)$. Then by \cref{26: degree of cyclotomic extension}, we have $\gal(L/\qq) \cong\unts{\zz/8\zz}$. By some group theory considerations (\coms add link\come), $\unts{\zz/8\zz}$ is given by $\{1,3,5,7\}$.
But $1\equiv 1~(4)$, $3^2 = 9 \equiv 1~(4)$, $5^2 = 25 \equiv 1~(4)$, $7^2 = 49 \equiv 1~(4)$, so the maximal order of an element in $\unts{\zz/8\zz}$ is two, and
\[
\unts{\zz/8\zz} \cong \zz/2\zz \times \zz/2\zz
\]
which is not cyclic.
\end{nrem}

\begin{bsp}
  Let $\rchar K = 0$, and $f\in K[X]$ be a polynomial with $\deg f \leq 4$. Then we can regard $\gal(f)$ as a subgroup of $S_4$. As $S_4$ is solvable, and subgroups of solvable groups are solvable, we have that such an $f$ is always solvable.
\end{bsp}
\begin{bsp}
  Consider $f := X^5-4X+2\in \qq[X]$, and let $L$ be a splitting field of $f$. We want to show that $\gal(f) \cong S_5$, as $S_5$ is not solvable.
  \begin{itemize}
    \item By applying Eisenstein with $2$, we see that $f$ is irreducible. Furthermore, $f$ is separable over $\qq$, as $\rchar \qq = 0$. So there are exactly $5$ roots of $f$ in $\overline{\qq}$. In particular, we have for any root $a$ of $f$ in $\overline{\qq}$ that $[\qq(a):\qq] = 5$, so $5\divd \gal(f)$. So by Cauchys Theorem, there is an element $\sigma \in S_5$ such that $\ord \sigma = 5$.
    \item As we can regard $G$ as a subgroup of $S_5$, we can assume that $\sigma = (1~2~\hdots~5)$, as $5$-cyclces are precisley the elements of order $5$ is $S_5$.
    \item By some analysis, we find that $f$ has exactly $3$ real roots, and hence exactly $2$ complex roots. By even more analysis, we now that these two complex roots are complex conjugate to each other. Let now $\phi:= \overline{\cdot}:\cc\to \cc$ be the complex conjugation. Then by restriction, we can consider $\phi$ as an element of $\gal(L/K)$. And as $f$ has exactly $2$ complex roots, we can identify $\phi$ with a transposition in $\gal(L/K) \leq S_5$.
    \item So $\gal(L/K) \leq S_5$ contains a transposition and a transposition. So by \coms an exercise\come, $\gal(L/K) = S_5$ follows.
  \end{itemize}
\end{bsp}
\section{Fundamental Theorem of Algebra}

\begin{prop}
  The field of complex numbers $\cc$ is an algebraic closure of $\rr$.
\end{prop}

\begin{proof}
  \coms ommited. \come 
\end{proof}
\color{orange}\textit{This was the last lecture.}\color{black}
\lec
